AlmaLinux 2225 Published by

A go-toolset and golang security update has been released for AlmaLinux 9.



ALSA-2023:3318 Important: go-toolset and golang security update


Type:
security

Severity:
important

Release date:
2023-05-25

Description
The golang packages provide the Go programming language compiler.
Security Fix(es):
* golang: html/template: improper handling of JavaScript whitespace (CVE-2023-24540)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

References:
RHSA-2023:3318
CVE-2023-24540
ALSA-2023:3318

Updates packages:
golang-tests-1.19.9-2.el9_2.noarch.rpm
golang-bin-1.19.9-2.el9_2.ppc64le.rpm
golang-1.19.9-2.el9_2.ppc64le.rpm
golang-src-1.19.9-2.el9_2.noarch.rpm
golang-docs-1.19.9-2.el9_2.noarch.rpm
go-toolset-1.19.9-1.el9_2.ppc64le.rpm
golang-misc-1.19.9-2.el9_2.noarch.rpm
golang-1.19.9-2.el9_2.x86_64.rpm
golang-bin-1.19.9-2.el9_2.x86_64.rpm
golang-race-1.19.9-2.el9_2.x86_64.rpm
go-toolset-1.19.9-1.el9_2.x86_64.rpm
golang-1.19.9-2.el9_2.aarch64.rpm
golang-bin-1.19.9-2.el9_2.aarch64.rpm
go-toolset-1.19.9-1.el9_2.aarch64.rpm
golang-1.19.9-2.el9_2.s390x.rpm
go-toolset-1.19.9-1.el9_2.s390x.rpm
golang-bin-1.19.9-2.el9_2.s390x.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2023:3318 Important: go-toolset and golang security update